# Generated from pippa-0.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name pippa

Name: rubygem-%{gem_name}
Version: 0.3.0
Release: 1%{?dist}
Summary: Reimplements some parts of the plot-latlon utility from CAIDA (http://www.caida.org)
License: GPL-3.0 and RUC
URL: https://github.com/gene-ressler/pippa/wiki
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 2.14
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(ruby-prof) >= 0.13
# BuildRequires: rubygem(ruby-prof) < 1
BuildArch: noarch

%description
Draw dots on maps by lat/lon or zip code. Includes a library of 30 map
backgrounds,
and associated geocoding configuration data, and a table of US zip codes with
their
approximate centroids as latitude and longitude. Exposes the ImageMagick image
and
coordinate conversions so that overlaying labels, lines, and other features on
dots
is possible. Renders as a blob suitable for e.g. Rails send_data as an img tag
src
and writes files in any supported ImageMagick graphic format.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/pippa.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.3.0-1
- Initial package
